IRPCEventsAdmin.GetEventLogFilterRecord

View as Markdown

Administration API / specialized admin session idempotent

Gets the conditions of the calling user's default event log filter.

ServiceEvent administration MFiles.IRPCEventsAdmin
gRPC method/MFiles.IRPCEventsAdmin/GetEventLogFilterRecord
HTTP (mf-http-grpc)POST /grpc/v1/get-event-log-filter-record
RequestGetEventLogFilterRecordRequest
ResponseGetEventLogFilterRecordResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetEventLogFilterRecordRequest

A structure that specifies GetEventLogFilterRecord request payload.

No fields.

Response: GetEventLogFilterRecordResponse

This is copy of EventLogFilterCondition for backwards compatibility. Cannot use alias because alias that would require service proto to depend directly on struct proto.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
object_typeint32Object Type in Filter View.
object_idstringObject ID in Filter View.
object_namestringObject Name in Filter View.
object_classint32Object Class in Filter View.
event_typesEventTypeArrayEvent Types in Filter View.
event_types.event_types[]repeated EventTypeThe event types.
event_caused_by_userstringUser name in Filter View.
start_timegoogle.protobuf.TimestampStart time in Filter View.
end_timegoogle.protobuf.TimestampEnd time in Filter View.